[Image-SIG] Help installing PIL

Isaac Feldman isaac at igloomultimedia.com
Thu Sep 15 04:45:33 CEST 2011


I am trying to install PIL 1.7.7 on Mac OS X 10.6 running python 2.7.2

I am getting the following error: 

> $ python setup.py build_ext -i
> running build_ext
> --- using frameworks at /System/Library/Frameworks
> building '_imaging' extension
> gcc-4.0 -fno-strict-aliasing -fno-common -dynamic -arch ppc -arch i386 -g -O2 -DNDEBUG -g -O3 -DHAVE_LIBJPEG -DHAVE_LIBZ -I/System/Library/Frameworks/Tcl.framework/Headers -I/System/Library/Frameworks/Tk.framework/Headers -IlibImaging -I/sw/include/freetype2 -I/sw/include -I/Library/Frameworks/Python.framework/Versions/2.7/include -I/usr/local/include -I/usr/include -I/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7 -c _imaging.c -o build/temp.macosx-10.3-fat-2.7/_imaging.o
> unable to execute gcc-4.0: No such file or directory
> error: command 'gcc-4.0' failed with exit status 1

I think it is because I don't have Python's build support files "python-dev", "python-devel", or similar. 

If that sounds like the culprit, can you tell me how I can get those for the Mac?  I've looked on the Python.org site but don't see any mention of those files. 



igloo multimedia  
simple by design
isaac at igloomultimedia.com

More information about the Image-SIG mailing list